## Afriex SDK

### TypeScript

```typescript
const transaction = await afriex.transactions.get("transaction-id");
```

```bash
curl --request GET \
  --url https://sandbox.api.afriex.com/api/v1/transaction/{transactionId} \
  --header 'x-api-key: <api-key>'
```

```python
import requests

url = "https://sandbox.api.afriex.com/api/v1/transaction/{transactionId}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://sandbox.api.afriex.com/api/v1/transaction/{transactionId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response Example

```json
{
  "data": {
    "status": "SUCCESS",
    "type": "SWAP",
    "channel": "WALLET",
    "sourceAmount": "10",
    "sourceCurrency": "USD",
    "destinationAmount": "14101.041",
    "destinationCurrency": "NGN",
    "destinationId": "",
    "customerId": "68e6717848e1f632e9686460",
    "transactionId": "69d3c79531c0234586ad5ee0",
    "meta": {
      "reference": "ref-swap-minimal-002",
      "idempotencyKey": "idem-swap-minimal-002"
    },
    "createdAt": "2026-04-06T14:47:49.166Z",
    "updatedAt": "2026-04-06T14:47:49.166Z"
  }
}
```

### Retrieve a specific transaction by its unique identifier.

#### Authorizations

- **x-api-key**: Static business API key issued from the dashboard. Required for access to the API.

#### Headers

- **x-api-signature**: Used for request authentication where payload signing is enabled.

- **x-api-version**: API version in ISO 8601 format.

#### Path Parameters

- **transactionId**: The unique identifier of the transaction.

#### Response Status

**200**: Transaction retrieved successfully.

**Response Data Structure**:

```json
data: {
  // properties of the transaction
}
```
